# Uses of Interface
javax.xml.stream.events.EntityDeclaration

Packages that use EntityDeclaration
Package
Description
javax.xml.stream
Defines interfaces and classes for the Streaming API for XML (StAX).
javax.xml.stream.events
Defines event interfaces for the Streaming API for XML (StAX).

## Uses of EntityDeclaration in javax.xml.stream

Methods in javax.xml.stream with parameters of type EntityDeclaration
Modifier and Type
Method
Description
`abstract EntityReference`
XMLEventFactory.`createEntityReference(String name, EntityDeclaration declaration)`
Creates a new instance of a EntityReference event

## Uses of EntityDeclaration in javax.xml.stream.events

Methods in javax.xml.stream.events that return EntityDeclaration
Modifier and Type
Method
Description
`EntityDeclaration`
EntityReference.`getDeclaration()`
Return the declaration of this entity.
Methods in javax.xml.stream.events that return types with arguments of type EntityDeclaration
Modifier and Type
Method
Description
`List<EntityDeclaration>`
DTD.`getEntities()`
Return a List containing the general entities, both external and internal, declared in the DTD.